import request from '../js/request'

// apf-》获取模块状态
export function getModuleState(params) {
    return request({
        url: '/cs-harmonic-boot/data/getModuleState',
        method: 'post',
        data: params,
    })
}
export function getBaseRealData(id) {
    return request({
        url: '/cs-harmonic-boot/realData/getBaseRealData?lineId=' + id,
        method: 'post',
    })
}
// 查询App暂态事件总数
export function queryAppEventCounts(params) {
    return request({
        url: '/cs-harmonic-boot/eventUser/queryAppEventCounts',
        method: 'post',
        data: params,
        header: {
            'Content-Type': 'application/json',
        },
    })
}
// 查询App稳态事件总数
export function queryAppHarmonicCounts(params) {
    return request({
        url: '/cs-harmonic-boot/csHarmonic/queryAppHarmonicCounts',
        method: 'post',
        data: params,
        header: {
            'Content-Type': 'application/json',
        },
    })
}
// 查询App稳态越限监测点
export function queryAppHarmonicLine(params) {
    return request({
        url: '/cs-harmonic-boot/csHarmonic/queryAppHarmonicLine',
        method: 'post',
        data: params,
        header: {
            'Content-Type': 'application/json',
        },
    })
}
// 暂态事件波形分析
export function analyseWave(params) {
    return request({
        url: '/cs-harmonic-boot/event/analyseWave',
        method: 'get',
        params,
    })
}
// App-》工程下所有监测点数据
export function getLineDataByEngineer(params) {
    return request({
        url: '/cs-harmonic-boot/data/getLineDataByEngineer',
        method: 'post',
        params,
    })
}
